diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java
new file mode 100644
index 000000000..c7368b4d2
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java
@@ -0,0 +1,51 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.EntityFallingSand;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class FallingSandNetEntry implements IVehicleEntry<EntityFallingSand>, ITrackedEntry<EntityFallingSand> {
+    @Override
+    public @NotNull Class<EntityFallingSand> getAppliedClass() {
+        return EntityFallingSand.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 160;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 20;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityFallingSand trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntityFallingSand(world, x, y, z, MathHelper.clamp(metadata, 0, Block.blocksList.length));
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityFallingSand trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject, trackedObject.blockID);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java
new file mode 100644
index 000000000..879fdf2b3
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java
@@ -0,0 +1,49 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.projectile.EntityFireball;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class FireballNetEntry implements IVehicleEntry<EntityFireball>, ITrackedEntry<EntityFireball> {
+    @Override
+    public @NotNull Class<EntityFireball> getAppliedClass() {
+        return EntityFireball.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 64;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 10;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return false;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityFireball trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntityFireball(world, x, y, z, xd, yd, zd);
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityFireball trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject, -1, -1, trackedObject.accelX, trackedObject.accelY, trackedObject.accelZ);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java
new file mode 100644
index 000000000..e1eacd0dd
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java
@@ -0,0 +1,15 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.animal.EntityFireflyCluster;
+import org.jetbrains.annotations.NotNull;
+
+public class FireflyNetEntry extends AnimalNetEntry<EntityFireflyCluster>{
+    @Override
+    public @NotNull Class<EntityFireflyCluster> getAppliedClass() {
+        return EntityFireflyCluster.class;
+    }
+    @Override
+    public int getPacketDelay() {
+        return 40;
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java
new file mode 100644
index 000000000..6bf51138d
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java
@@ -0,0 +1,46 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.net.entity.IPacketEntry;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet21PickupSpawn;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class ItemNetEntry implements IPacketEntry<EntityItem>, ITrackedEntry<EntityItem> {
+    @Override
+    public @NotNull Class<EntityItem> getAppliedClass() {
+        return EntityItem.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 64;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 20;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityItem trackedObject) {
+
+    }
+
+    @Override
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityItem trackedObject) {
+        Packet21PickupSpawn packet21pickupspawn = new Packet21PickupSpawn(trackedObject);
+        trackedObject.x = packet21pickupspawn.xPosition / 32D;
+        trackedObject.y = packet21pickupspawn.yPosition / 32D;
+        trackedObject.z = packet21pickupspawn.zPosition / 32D;
+        return packet21pickupspawn;
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java
new file mode 100644
index 000000000..cbbb7ae7c
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java
@@ -0,0 +1,49 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.vehicle.EntityMinecart;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class MinecartNetEntry implements IVehicleEntry<EntityMinecart>, ITrackedEntry<EntityMinecart> {
+    @Override
+    public @NotNull Class<EntityMinecart> getAppliedClass() {
+        return EntityMinecart.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 160;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 1;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityMinecart trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntityMinecart(world, x, y, z, metadata);
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityMinecart trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject, trackedObject.minecartType);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java
new file mode 100644
index 000000000..9f3994db1
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java
@@ -0,0 +1,42 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.EntityPainting;
+import net.minecraft.core.net.entity.IPacketEntry;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet25EntityPainting;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class PaintingNetEntry implements IPacketEntry<EntityPainting>, ITrackedEntry<EntityPainting> {
+    @Override
+    public @NotNull Class<EntityPainting> getAppliedClass() {
+        return EntityPainting.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 160;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return Integer.MAX_VALUE;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return false;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPainting trackedObject) {
+
+    }
+
+    @Override
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityPainting trackedObject) {
+        return new Packet25EntityPainting(trackedObject);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
new file mode 100644
index 000000000..342911034
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
@@ -0,0 +1,49 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.projectile.EntityPebble;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class PebbleEntry implements IVehicleEntry<EntityPebble>, ITrackedEntry<EntityPebble> {
+    @Override
+    public @NotNull Class<EntityPebble> getAppliedClass() {
+        return EntityPebble.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 64;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 10;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPebble trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntityPebble(world, x, y, z);
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityPebble trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
new file mode 100644
index 000000000..092ecd0cb
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
@@ -0,0 +1,46 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.net.entity.IPacketEntry;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.packet.Packet;
+import net.minecraft.core.net.packet.Packet20NamedEntitySpawn;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import net.minecraft.server.entity.player.EntityPlayerMP;
+import org.jetbrains.annotations.NotNull;
+
+public class PlayerMPNetEntry implements IPacketEntry<EntityPlayerMP>, ITrackedEntry<EntityPlayerMP> {
+    @Override
+    public @NotNull Class<EntityPlayerMP> getAppliedClass() {
+        return EntityPlayerMP.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 512;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 2;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return false;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPlayerMP trackedObject) {
+        for (EntityTrackerEntry entitytrackerentry : tracker.trackedEntitySet) {
+            if (entitytrackerentry.trackedEntity != trackedObject) {
+                entitytrackerentry.updatePlayerEntity(trackedObject);
+            }
+        }
+    }
+
+    @Override
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityPlayerMP trackedObject) {
+        return new Packet20NamedEntitySpawn(trackedObject);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
new file mode 100644
index 000000000..946d33e55
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
@@ -0,0 +1,48 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.projectile.EntitySnowball;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class SnowballNetEntry implements IVehicleEntry<EntitySnowball>, ITrackedEntry<EntitySnowball> {
+    @Override
+    public @NotNull Class<EntitySnowball> getAppliedClass() {
+        return EntitySnowball.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 64;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 10;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntitySnowball trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntitySnowball(world, x, y, z);
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntitySnowball trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java
new file mode 100644
index 000000000..fab9a5cd7
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java
@@ -0,0 +1,16 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.animal.EntitySquid;
+import org.jetbrains.annotations.NotNull;
+
+public class SquidNetEntry extends AnimalNetEntry<EntitySquid>{
+    @Override
+    public @NotNull Class<EntitySquid> getAppliedClass() {
+        return EntitySquid.class;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
new file mode 100644
index 000000000..8842f9e15
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
@@ -0,0 +1,48 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.EntityTNT;
+import net.minecraft.core.net.entity.ITrackedEntry;
+import net.minecraft.core.net.entity.IVehicleEntry;
+import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.world.World;
+import net.minecraft.server.entity.EntityTracker;
+import net.minecraft.server.entity.EntityTrackerEntry;
+import org.jetbrains.annotations.NotNull;
+
+public class TNTNetEntry implements IVehicleEntry<EntityTNT>, ITrackedEntry<EntityTNT> {
+    @Override
+    public @NotNull Class<EntityTNT> getAppliedClass() {
+        return EntityTNT.class;
+    }
+
+    @Override
+    public int getTrackingDistance() {
+        return 160;
+    }
+
+    @Override
+    public int getPacketDelay() {
+        return 10;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+
+    @Override
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityTNT trackedObject) {
+
+    }
+
+    @Override
+    public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
+        return new EntityTNT(world, x, y, z);
+    }
+
+    @Override
+    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityTNT trackedObject) {
+        return new Packet23VehicleSpawn(trackedObject);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java b/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java
index 88472b82f..21251c43f 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java
+++ b/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java
@@ -17,13 +17,15 @@ public class Packet14BlockDig extends Packet
     {
     }
 
-    public Packet14BlockDig(int i, int j, int k, int l, Side side)
+    public Packet14BlockDig(int i, int j, int k, int l, Side side, double xHit, double yHit)
     {
         status = i;
         xPosition = j;
         yPosition = k;
         zPosition = l;
         this.side = side;
+        this.xHit = xHit;
+        this.yHit = yHit;
     }
 
     @Override
@@ -35,6 +37,8 @@ public class Packet14BlockDig extends Packet
         yPosition = dis.read();
         zPosition = dis.readInt();
         side = Side.getSideById(dis.read());
+        xHit = dis.readDouble();
+        yHit = dis.readDouble();
     }
 
     @Override
@@ -46,6 +50,8 @@ public class Packet14BlockDig extends Packet
         dos.write(yPosition);
         dos.writeInt(zPosition);
         dos.write(side.getId());
+        dos.writeDouble(xHit);
+        dos.writeDouble(yHit);
     }
 
     @Override
@@ -57,12 +63,14 @@ public class Packet14BlockDig extends Packet
     @Override
 	public int getPacketSize()
     {
-        return 11;
+        return 19;
     }
 
     public int xPosition;
     public int yPosition;
     public int zPosition;
     public Side side;
+    public double xHit;
+    public double yHit;
     public int status;
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet15Place.java b/src/main/java/net/minecraft/core/net/packet/Packet15Place.java
index b8e2a83e9..9a9c35e9e 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet15Place.java
+++ b/src/main/java/net/minecraft/core/net/packet/Packet15Place.java
@@ -37,6 +37,7 @@ public class Packet15Place extends Packet
         yPosition = dis.read();
         zPosition = dis.readInt();
         direction = Direction.getDirectionById(dis.read());
+        xPlaced = dis.readDouble();
         yPlaced = dis.readDouble();
         short word0 = dis.readShort();
         if(word0 >= 0)
@@ -58,6 +59,7 @@ public class Packet15Place extends Packet
         dos.write(yPosition);
         dos.writeInt(zPosition);
         dos.write(direction.getId());
+        dos.writeDouble(xPlaced);
         dos.writeDouble(yPlaced);
         if(itemStack == null)
         {
@@ -79,7 +81,7 @@ public class Packet15Place extends Packet
     @Override
 	public int getPacketSize()
     {
-        return 15;
+        return 19;
     }
 
     public int xPosition;
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet21PickupSpawn.java b/src/main/java/net/minecraft/core/net/packet/Packet21PickupSpawn.java
index 521d1e7df..1bcbea2a4 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet21PickupSpawn.java
+++ b/src/main/java/net/minecraft/core/net/packet/Packet21PickupSpawn.java
@@ -1,25 +1,28 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.entity.EntityItem;
-import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.util.helper.MathHelper;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, EntityItem, ItemStack, MathHelper, 
-//            NetHandler
-
-public class Packet21PickupSpawn extends Packet
-{
+public class Packet21PickupSpawn extends Packet {
+    public int entityId;
+    public int xPosition;
+    public int yPosition;
+    public int zPosition;
+    public byte xd;
+    public byte yd;
+    public byte zd;
+    public int itemID;
+    public int count;
+    public int itemDamage;
+    public CompoundTag tag;
 
-    public Packet21PickupSpawn()
-    {
-    }
+    public Packet21PickupSpawn() {}
 
-    public Packet21PickupSpawn(EntityItem entityitem)
-    {
+    public Packet21PickupSpawn(EntityItem entityitem) {
         entityId = entityitem.id;
         itemID = entityitem.item.itemID;
         count = entityitem.item.stackSize;
@@ -28,15 +31,13 @@ public class Packet21PickupSpawn extends Packet
         xPosition = MathHelper.floor_double(entityitem.x * 32D);
         yPosition = MathHelper.floor_double(entityitem.y * 32D);
         zPosition = MathHelper.floor_double(entityitem.z * 32D);
-        rotation = (byte)(int)(entityitem.xd * 128D);
-        pitch = (byte)(int)(entityitem.yd * 128D);
-        roll = (byte)(int)(entityitem.zd * 128D);
+        xd = (byte)(int)(entityitem.xd * 128D);
+        yd = (byte)(int)(entityitem.yd * 128D);
+        zd = (byte)(int)(entityitem.zd * 128D);
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
-        throws IOException
-    {
+	public void readPacketData(DataInputStream dis) throws IOException {
         entityId = dis.readInt();
         itemID = dis.readShort();
         count = dis.readByte();
@@ -45,15 +46,13 @@ public class Packet21PickupSpawn extends Packet
         xPosition = dis.readInt();
         yPosition = dis.readInt();
         zPosition = dis.readInt();
-        rotation = dis.readByte();
-        pitch = dis.readByte();
-        roll = dis.readByte();
+        xd = dis.readByte();
+        yd = dis.readByte();
+        zd = dis.readByte();
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
-        throws IOException
-    {
+	public void writePacketData(DataOutputStream dos) throws IOException {
         dos.writeInt(entityId);
         dos.writeShort(itemID);
         dos.writeByte(count);
@@ -62,9 +61,9 @@ public class Packet21PickupSpawn extends Packet
         dos.writeInt(xPosition);
         dos.writeInt(yPosition);
         dos.writeInt(zPosition);
-        dos.writeByte(rotation);
-        dos.writeByte(pitch);
-        dos.writeByte(roll);
+        dos.writeByte(xd);
+        dos.writeByte(yd);
+        dos.writeByte(zd);
     }
 
     @Override
@@ -78,16 +77,4 @@ public class Packet21PickupSpawn extends Packet
     {
         return 24;
     }
-
-    public int entityId;
-    public int xPosition;
-    public int yPosition;
-    public int zPosition;
-    public byte rotation;
-    public byte pitch;
-    public byte roll;
-    public int itemID;
-    public int count;
-    public int itemDamage;
-    public CompoundTag tag;
 }
